package kpalin.alabra;
import java.awt.event.*;

/** This class provides clean exiting from application and pause the chess
    clocks when window is iconified.

    @author Kimmo Palin
    @see AppForm
*/

public class AppWinCtrl extends WindowAdapter {
  /** Clean exiting from application
   */
  public void windowClosing(WindowEvent e) {
    AppForm af=(AppForm)e.getWindow();

    af.exitApp(1);
  }
  /** Pause when application window is iconified.
   */
  public void windowIconified(WindowEvent e) {
    AppForm af=(AppForm)e.getWindow();

    af.pause();
  }
  /** Unpause when window is de-iconified.
   */
  public void windowDeiconified(WindowEvent e) {
    AppForm af=(AppForm)e.getWindow();

    af.unpause();
  }
}


