package kpalin.alabra;
import java.awt.event.*;
import java.io.*;

/** This handles menuactions and controls gameplay.
    @author Kimmo Palin
*/

public class ChessMenuListener implements ActionListener {
  /** This is the on going chessgame which can be controled
      via menus.
  */
  private AppForm appBase;

  /** Creates new ChessMenuListener.
   */
  ChessMenuListener(AppForm ab) {
    appBase=ab;
  }


  /** Here we figure out what menuoption the user klicked and call proper
      handler.
  */
  public void actionPerformed(ActionEvent e) {
    String command=e.getActionCommand();

    if(command.equals(FileNew.name)) 
      appBase.resetGame();
    else if(command.equals(FileLoad.name))
      appBase.loadGame();
    else if(command.equals(FileSave.name))
      appBase.saveGame();
    else if(command.equals(FileSaveAs.name)) 
      appBase.saveGameAs();
    else if(command.equals(FileExit.name))
      appBase.exitApp(2);
    else System.err.println("Menu Error!!!!");
  }
}
