package kpalin.alabra;
import java.util.*;
import java.io.Serializable;

/** This signals ChessPlay when player has used his given time.

    @see Observable
    @author Kimmo Palin
*/

public class ClockListen extends Observable implements Serializable{

  /** Has this object been notified. */
  private boolean notified=false;

  /** Id of the player whose clock this affects. */
  private int playerId;

  ClockListen(int side, Observer obs) {
    addObserver(obs);
    playerId=side;
  }

  /** Gets the players id whos clock has elapsed.
   */
  public synchronized int getPlayer() {
    clearChanged();
    return playerId; 
  }

  /** Alerts all oberservers about reached deadline.
   */
  public void allert() {
    setChanged();
    notifyObservers();
    clearChanged();
  }

  public synchronized boolean hasChanged() { return notified; }

  protected synchronized void clearChanged() { notified=false; }

  protected synchronized void setChanged() { notified=true; }
}

