package kpalin.alabra;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

/** The pawn promotion dialog.
    @see ChessPlay
    @author Kimmo Palin
*/

public class PawnPromote extends Frame implements MouseListener {
  /** The title of the dialog.
   */
  static final String TITLE="Pawn Promotion";

  /** Here we store the selected piece.
    */
  Piece piece;

  /** This is kind of bufferclass. Used for comunication between
      PawnPromote and ChessPlay. The Object passed from update()
      must be cast to Piece.
  */
  PromotionListen promObserv;

  public PromotionListen getObservable() {
    return promObserv;
  }

  /** Creates new PawnPromotion dialog.
      @param side The side who is promoting (black or white).
      @param from Starting tile of the move. Just for datatransfer.
      @param to Target tile of the move. Just for datatransfer.
   */
  PawnPromote(int side,BoardTile from,BoardTile to) {
    super(TITLE);


    setLayout(new GridLayout(1,5));
    Dimension d=new Dimension(40,40);

    try {
      add(new PromotionImage(new Piece(side,Piece.QUEEN),d,this));
      add(new PromotionImage(new Piece(side,Piece.ROOK),d,this));
      add(new PromotionImage(new Piece(side,Piece.BISHOP),d,this));
      add(new PromotionImage(new Piece(side,Piece.KNIGHT),d,this));
      add(new PromotionImage(new Piece(side,Piece.PAWN),d,this));
    } catch(Exception e) { System.err.println("Major difficulties: "+e); }

    promObserv=new PromotionListen(from,to);

     pack();
    
  }


  public void mouseEntered(MouseEvent e) { return; }
  public void mouseExited(MouseEvent e) { return; }
  public void mousePressed(MouseEvent e) { return; }
  public void mouseReleased(MouseEvent e) { return; }

  /** This one handles the promotion selection.
   */
  public void mouseClicked(MouseEvent e) {
    Piece piece=((PromotionImage)e.getComponent()).p;
    setVisible(false);

    promObserv.setPiece(piece);
    //promObserv.notifyObservers((Object)piece);
  }
}

