package kpalin.alabra;
import java.awt.*;

/** Images on the pawn promotion dialog.
    @see PawnPromote

    @author Kimmo Palin
*/

public class PromotionImage extends Canvas {
  /** The piece to which the pawn is to be promoted.
   */
  public final Piece p;

  /** Dimensions of the image.
   */
  private final Dimension dim;

  /** Creates new PromotionImage canvas.
      @param piece The piece which is to be shown on the canvas.
      @param d Dimension of the image.
      @param listen The mouselistener which listens the selection.
  */
  PromotionImage(Piece piece,Dimension d,MouseListener listen) {
    p=piece;
    dim=d;
    addMouseListener(listen);
  }

  public void paint(Graphics g) {
    g.drawImage(p.getImage(),0,0,d.width,d.height,this);
  }
}
