package kpalin.alabra;

/** Here I store the raw memory data for 80x80 chesspieces. This data
    is taken from sources of XBoard program. */

public final class PieceImageMemData {
  static final int WIDTH=80;
  static final int HEIGHT=80;
  static final int BITSPERPIXEL=1;

  /** Raw image data. Size of [2][6][800] bytes.
   */
  static byte PIECE_DATA[][][] = { {
    { /* White King */
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x40, (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x70, (byte)0x1c,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x10, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x70, (byte)0x1c, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x40, (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x78, (byte)0x3c,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x20, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0x1f, (byte)0x00, (byte)0x0c, (byte)0x60, (byte)0x00, (byte)0xfc, (byte)0x1f, (byte)0x00,
   (byte)0x00, (byte)0x0e, (byte)0x70, (byte)0x00, (byte)0x84, (byte)0x43, (byte)0x00, (byte)0x07, (byte)0x70, (byte)0x00, (byte)0x00, (byte)0x03,
   (byte)0xc0, (byte)0x00, (byte)0xc4, (byte)0x46, (byte)0x80, (byte)0x01, (byte)0xc0, (byte)0x00, (byte)0x80, (byte)0x01, (byte)0x80, (byte)0x03,
   (byte)0x44, (byte)0x44, (byte)0xe0, (byte)0x00, (byte)0x80, (byte)0x01, (byte)0xc0, (byte)0x00, (byte)0x00, (byte)0x0e, (byte)0x44, (byte)0x44,
   (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x03, (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x44, (byte)0x44, (byte)0x18, (byte)0x00,
   (byte)0x07, (byte)0x06, (byte)0x20, (byte)0xe0, (byte)0x3f, (byte)0x30, (byte)0xc4, (byte)0x46, (byte)0x0c, (byte)0xf8, (byte)0x1d, (byte)0x04,
   (byte)0x30, (byte)0x30, (byte)0x60, (byte)0x60, (byte)0x8c, (byte)0x63, (byte)0x06, (byte)0x0c, (byte)0x30, (byte)0x0c, (byte)0x10, (byte)0x18,
   (byte)0xc0, (byte)0xc1, (byte)0x08, (byte)0x20, (byte)0x82, (byte)0x03, (byte)0x20, (byte)0x0c, (byte)0x10, (byte)0x0c, (byte)0x00, (byte)0x83,
   (byte)0x09, (byte)0x20, (byte)0xc3, (byte)0x00, (byte)0x60, (byte)0x08, (byte)0x18, (byte)0x04, (byte)0x00, (byte)0x02, (byte)0x8b, (byte)0xa3,
   (byte)0x41, (byte)0x00, (byte)0x40, (byte)0x18, (byte)0x08, (byte)0x06, (byte)0x00, (byte)0x06, (byte)0x7a, (byte)0xb6, (byte)0x20, (byte)0x00,
   (byte)0xc0, (byte)0x10, (byte)0x08, (byte)0x02, (byte)0x00, (byte)0x0c, (byte)0x3e, (byte)0x7c, (byte)0x30, (byte)0x00, (byte)0x80, (byte)0x10,
   (byte)0x08, (byte)0x02, (byte)0x00, (byte)0x18, (byte)0x18, (byte)0x18, (byte)0x10, (byte)0x00, (byte)0x80, (byte)0x10, (byte)0x0c, (byte)0x02,
   (byte)0x00, (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0xc0, (byte)0x83, (byte)0x30, (byte)0x04, (byte)0xc3, (byte)0x03, (byte)0x20,
   (byte)0x00, (byte)0x01, (byte)0x0c, (byte)0xc2, (byte)0x83, (byte)0x20, (byte)0x04, (byte)0xc1, (byte)0x03, (byte)0x61, (byte)0x80, (byte)0x03,
   (byte)0x06, (byte)0xc6, (byte)0x83, (byte)0x20, (byte)0x04, (byte)0xc1, (byte)0x83, (byte)0x41, (byte)0xc0, (byte)0x07, (byte)0x06, (byte)0xc4,
   (byte)0x83, (byte)0x20, (byte)0x04, (byte)0xc1, (byte)0x87, (byte)0xc0, (byte)0x80, (byte)0x03, (byte)0x03, (byte)0xc4, (byte)0x80, (byte)0x20,
   (byte)0x0c, (byte)0x01, (byte)0x84, (byte)0x80, (byte)0x00, (byte)0x01, (byte)0x01, (byte)0x64, (byte)0x80, (byte)0x30, (byte)0x08, (byte)0x01,
   (byte)0x44, (byte)0x80, (byte)0x01, (byte)0x80, (byte)0x01, (byte)0x24, (byte)0x86, (byte)0x10, (byte)0x08, (byte)0x01, (byte)0x4c, (byte)0x00,
   (byte)0x01, (byte)0x80, (byte)0x00, (byte)0x34, (byte)0x83, (byte)0x10, (byte)0x08, (byte)0x61, (byte)0x48, (byte)0x00, (byte)0x01, (byte)0x80,
   (byte)0x00, (byte)0xd4, (byte)0xc1, (byte)0x10, (byte)0x08, (byte)0xc1, (byte)0x59, (byte)0x00, (byte)0x03, (byte)0x80, (byte)0x00, (byte)0x5c,
   (byte)0x40, (byte)0x10, (byte)0x08, (byte)0x01, (byte)0x57, (byte)0x00, (byte)0x02, (byte)0xc1, (byte)0x00, (byte)0x2c, (byte)0x40, (byte)0x10,
   (byte)0x18, (byte)0x02, (byte)0x7c, (byte)0x00, (byte)0x82, (byte)0x43, (byte)0x00, (byte)0x3c, (byte)0x40, (byte)0x18, (byte)0x10, (byte)0x02,
   (byte)0x70, (byte)0x00, (byte)0xc6, (byte)0x47, (byte)0x00, (byte)0x1c, (byte)0x40, (byte)0x18, (byte)0x10, (byte)0x02, (byte)0x60, (byte)0x00,
   (byte)0x84, (byte)0x43, (byte)0x00, (byte)0x0e, (byte)0x60, (byte)0x08, (byte)0x10, (byte)0x06, (byte)0x40, (byte)0x00, (byte)0x04, (byte)0x41,
   (byte)0x00, (byte)0x02, (byte)0x20, (byte)0x08, (byte)0x10, (byte)0x04, (byte)0xc0, (byte)0x00, (byte)0x0c, (byte)0x60, (byte)0x00, (byte)0x02,
   (byte)0x20, (byte)0x0c, (byte)0x30, (byte)0x0c, (byte)0x80, (byte)0x00, (byte)0x08, (byte)0x20, (byte)0x00, (byte)0x03, (byte)0x20, (byte)0x0c,
   (byte)0x20, (byte)0x08, (byte)0x80, (byte)0x01, (byte)0x08, (byte)0x20, (byte)0x00, (byte)0x01, (byte)0x20, (byte)0x04, (byte)0x20, (byte)0x08,
   (byte)0x00, (byte)0x01, (byte)0x08, (byte)0x20, (byte)0x80, (byte)0x01, (byte)0x30, (byte)0x04, (byte)0x60, (byte)0x18, (byte)0x00, (byte)0x01,
   (byte)0x08, (byte)0x20, (byte)0x80, (byte)0x00, (byte)0x10, (byte)0x06, (byte)0x40, (byte)0x10, (byte)0x00, (byte)0x03, (byte)0x10, (byte)0x11,
   (byte)0x80, (byte)0x00, (byte)0x18, (byte)0x02, (byte)0xc0, (byte)0x30, (byte)0x00, (byte)0x02, (byte)0x90, (byte)0x13, (byte)0xc0, (byte)0x00,
   (byte)0x08, (byte)0x03, (byte)0x80, (byte)0x20, (byte)0x00, (byte)0x06, (byte)0x10, (byte)0x11, (byte)0x40, (byte)0x00, (byte)0x04, (byte)0x01,
   (byte)0x80, (byte)0x61, (byte)0x00, (byte)0x04, (byte)0x10, (byte)0x10, (byte)0x60, (byte)0x00, (byte)0x84, (byte)0x01, (byte)0x00, (byte)0x41,
   (byte)0x00, (byte)0x04, (byte)0x10, (byte)0x10, (byte)0x20, (byte)0x00, (byte)0xc6, (byte)0x00, (byte)0x00, (byte)0x83, (byte)0x00, (byte)0x0c,
   (byte)0x10, (byte)0x10, (byte)0x20, (byte)0x00, (byte)0x41, (byte)0x00, (byte)0x00, (byte)0x82, (byte)0x01, (byte)0x00, (byte)0x10, (byte)0x10,
   (byte)0x00, (byte)0x80, (byte)0x61, (byte)0x00, (byte)0x00, (byte)0x06, (byte)0x01, (byte)0x00, (byte)0x10, (byte)0x10, (byte)0x00, (byte)0x80,
   (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x0c, (byte)0x01, (byte)0x00, (byte)0x10, (byte)0x10, (byte)0x00, (byte)0xc0, (byte)0x10, (byte)0x00,
   (byte)0x00, (byte)0x18, (byte)0x02, (byte)0xff, (byte)0x1f, (byte)0xf0, (byte)0xff, (byte)0x60, (byte)0x18, (byte)0x00, (byte)0x00, (byte)0x30,
   (byte)0xfe, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x3f, (byte)0x0c, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x40,
   (byte)0x08, (byte)0x21, (byte)0x04, (byte)0x00, (byte)0x06, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0xe2, (byte)0x9c, (byte)0x73,
   (byte)0x8e, (byte)0x00, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x11, (byte)0x47, (byte)0x08, (byte)0x21, (byte)0xc4, (byte)0x11,
   (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x3b, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xb8, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x12, (byte)0x00, (byte)0xff, (byte)0xff, (byte)0x03, (byte)0x90, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x02, (byte)0xfc, (byte)0x01, (byte)0x00, (byte)0xfe, (byte)0xc0, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfa, (byte)0x07,
   (byte)0x80, (byte)0x03, (byte)0x80, (byte)0x5f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0xe0, (byte)0x0f,
   (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x3a, (byte)0x00, (byte)0xf8, (byte)0x3f, (byte)0x00, (byte)0x5c,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfa, (byte)0x00, (byte)0xe0, (byte)0x0f, (byte)0x00, (byte)0x5f, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xfa, (byte)0x03, (byte)0x80, (byte)0x03, (byte)0xc0, (byte)0x5f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xfa, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x5f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x3a, (byte)0x00,
   (byte)0xff, (byte)0xff, (byte)0x03, (byte)0x5c, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0xfc, (byte)0x01, (byte)0x00,
   (byte)0xfe, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfa, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x5f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00},
    { /* White Queen */
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x01,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x60, (byte)0x03, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x60, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x00, (byte)0x80, (byte)0x01,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xb0, (byte)0x01, (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x07,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x01, (byte)0x80, (byte)0x01, (byte)0x80, (byte)0x0d, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xb0, (byte)0x01, (byte)0xc0, (byte)0x03, (byte)0x80, (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xe0, (byte)0x00, (byte)0x40, (byte)0x02, (byte)0x80, (byte)0x0d, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00,
   (byte)0x40, (byte)0x02, (byte)0x00, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x40, (byte)0x02,
   (byte)0x00, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x40, (byte)0x02, (byte)0x00, (byte)0x03,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x40, (byte)0x02, (byte)0x00, (byte)0x03, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x01, (byte)0x40, (byte)0x02, (byte)0x80, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x40, (byte)0x01, (byte)0x40, (byte)0x02, (byte)0x80, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x01,
   (byte)0x60, (byte)0x06, (byte)0x80, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x03, (byte)0x20, (byte)0x04,
   (byte)0xc0, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x1c, (byte)0x00, (byte)0x40, (byte)0x02, (byte)0x20, (byte)0x04, (byte)0x40, (byte)0x02,
   (byte)0x00, (byte)0x00, (byte)0x36, (byte)0x00, (byte)0x40, (byte)0x02, (byte)0x20, (byte)0x04, (byte)0x40, (byte)0x02, (byte)0x00, (byte)0x0e,
   (byte)0x22, (byte)0x00, (byte)0x40, (byte)0x06, (byte)0x20, (byte)0x04, (byte)0x60, (byte)0x02, (byte)0x00, (byte)0x1b, (byte)0x36, (byte)0x00,
   (byte)0x40, (byte)0x04, (byte)0x20, (byte)0x04, (byte)0x20, (byte)0x02, (byte)0x00, (byte)0x11, (byte)0x3c, (byte)0x00, (byte)0x40, (byte)0x04,
   (byte)0x20, (byte)0x04, (byte)0x20, (byte)0x02, (byte)0x00, (byte)0x1b, (byte)0x70, (byte)0x00, (byte)0x40, (byte)0x0c, (byte)0x20, (byte)0x04,
   (byte)0x30, (byte)0x02, (byte)0x00, (byte)0x0e, (byte)0x60, (byte)0x00, (byte)0x40, (byte)0x08, (byte)0x20, (byte)0x04, (byte)0x10, (byte)0x02,
   (byte)0x00, (byte)0x03, (byte)0xe0, (byte)0x00, (byte)0x40, (byte)0x08, (byte)0x30, (byte)0x0c, (byte)0x10, (byte)0x02, (byte)0x80, (byte)0x03,
   (byte)0xc0, (byte)0x01, (byte)0x40, (byte)0x18, (byte)0x10, (byte)0x08, (byte)0x18, (byte)0x02, (byte)0x80, (byte)0x01, (byte)0x40, (byte)0x01,
   (byte)0x40, (byte)0x10, (byte)0x10, (byte)0x08, (byte)0x08, (byte)0x02, (byte)0xc0, (byte)0x01, (byte)0x40, (byte)0x03, (byte)0x40, (byte)0x10,
   (byte)0x10, (byte)0x08, (byte)0x08, (byte)0x02, (byte)0x60, (byte)0x01, (byte)0x40, (byte)0x06, (byte)0x40, (byte)0x10, (byte)0x10, (byte)0x08,
   (byte)0x08, (byte)0x02, (byte)0x20, (byte)0x01, (byte)0x40, (byte)0x04, (byte)0x40, (byte)0x30, (byte)0x10, (byte)0x08, (byte)0x0c, (byte)0x02,
   (byte)0x30, (byte)0x01, (byte)0xc0, (byte)0x0c, (byte)0x40, (byte)0x20, (byte)0x10, (byte)0x08, (byte)0x04, (byte)0x02, (byte)0x18, (byte)0x01,
   (byte)0x80, (byte)0x18, (byte)0x40, (byte)0x20, (byte)0x10, (byte)0x08, (byte)0x04, (byte)0x02, (byte)0x08, (byte)0x01, (byte)0x80, (byte)0x10,
   (byte)0x40, (byte)0x60, (byte)0x10, (byte)0x08, (byte)0x06, (byte)0x02, (byte)0x8c, (byte)0x01, (byte)0x80, (byte)0x30, (byte)0x40, (byte)0x40,
   (byte)0x18, (byte)0x18, (byte)0x02, (byte)0x02, (byte)0x84, (byte)0x00, (byte)0x80, (byte)0x20, (byte)0x40, (byte)0x40, (byte)0x08, (byte)0x10,
   (byte)0x02, (byte)0x02, (byte)0x86, (byte)0x00, (byte)0x80, (byte)0x60, (byte)0x40, (byte)0xc0, (byte)0x08, (byte)0x10, (byte)0x03, (byte)0x02,
   (byte)0x83, (byte)0x00, (byte)0x80, (byte)0xc1, (byte)0x40, (byte)0x80, (byte)0x08, (byte)0x10, (byte)0x01, (byte)0x02, (byte)0x81, (byte)0x00,
   (byte)0x00, (byte)0x81, (byte)0x40, (byte)0x80, (byte)0x08, (byte)0x10, (byte)0x01, (byte)0x82, (byte)0x81, (byte)0x00, (byte)0x00, (byte)0x81,
   (byte)0x41, (byte)0x80, (byte)0x09, (byte)0x90, (byte)0x01, (byte)0x82, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x43, (byte)0x00,
   (byte)0x09, (byte)0x90, (byte)0x00, (byte)0xc2, (byte)0xc0, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x42, (byte)0x00, (byte)0x09, (byte)0x90,
   (byte)0x00, (byte)0x62, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x46, (byte)0x00, (byte)0x0f, (byte)0xf0, (byte)0x00, (byte)0x22,
   (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x03, (byte)0x4c, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x32, (byte)0x40, (byte)0x00,
   (byte)0x00, (byte)0x02, (byte)0x48, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x1a, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x02,
   (byte)0x58, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x0a, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x70, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x0e, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x06, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00,
   (byte)0x00, (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x00, (byte)0x04,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x00, (byte)0x04, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x00, (byte)0x0c, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0x7f,
   (byte)0x00, (byte)0x00, (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x00, (byte)0xfc, (byte)0x03, (byte)0xc0, (byte)0x3f, (byte)0x00,
   (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0xfe, (byte)0x07, (byte)0x80, (byte)0x01, (byte)0xe0, (byte)0x7f, (byte)0x18, (byte)0x00,
   (byte)0x00, (byte)0x30, (byte)0x03, (byte)0x00, (byte)0xe0, (byte)0x07, (byte)0x00, (byte)0xc0, (byte)0x0c, (byte)0x00, (byte)0x00, (byte)0x60,
   (byte)0x18, (byte)0x00, (byte)0xf8, (byte)0x1f, (byte)0x00, (byte)0x18, (byte)0x06, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x7e, (byte)0x00,
   (byte)0xe0, (byte)0x07, (byte)0x00, (byte)0x7e, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0xff, (byte)0x01, (byte)0x80, (byte)0x01,
   (byte)0x80, (byte)0xff, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x7e, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x7e,
   (byte)0x02, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x18, (byte)0x00, (byte)0xfe, (byte)0x7f, (byte)0x00, (byte)0x18, (byte)0x03, (byte)0x00,
   (byte)0x00, (byte)0x80, (byte)0x00, (byte)0xfc, (byte)0x03, (byte)0xc0, (byte)0x3f, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x80,
   (byte)0xfe, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x7f, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00,
   (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x60,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x06, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00},
    { /* White Rook */
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xf8, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x80,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x01, (byte)0x08, (byte)0x80, (byte)0x00, (byte)0x3c,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x3f, (byte)0x01, (byte)0x08, (byte)0x80, (byte)0x00, (byte)0xe4, (byte)0x0f, (byte)0x00,
   (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x01, (byte)0x08, (byte)0x80, (byte)0x00, (byte)0x04, (byte)0x18, (byte)0x00, (byte)0x00, (byte)0x40,
   (byte)0x00, (byte)0x01, (byte)0x08, (byte)0x80, (byte)0x00, (byte)0x04, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x01,
   (byte)0x08, (byte)0x80, (byte)0x00, (byte)0x04, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x01, (byte)0x0f, (byte)0x80,
   (byte)0x07, (byte)0x04, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0xfd, (byte)0x01, (byte)0x00, (byte)0xfc, (byte)0x05,
   (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x07, (byte)0x10, (byte)0x00,
   (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff, (byte)0x01, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x40,
   (byte)0x00, (byte)0xf0, (byte)0x07, (byte)0x00, (byte)0x7f, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0xc0, (byte)0x1f,
   (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x1f, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x7f, (byte)0x00, (byte)0x02, (byte)0x00,
   (byte)0x02, (byte)0xf0, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00,
   (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00,
   (byte)0x02, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x40, (byte)0x80, (byte)0xff, (byte)0xff, (byte)0x0f, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff,
   (byte)0x00, (byte)0x01, (byte)0xf8, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x01,
   (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x10,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00,
   (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x01,
   (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x10,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00,
   (byte)0xf0, (byte)0x7f, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0x1f, (byte)0xc0,
   (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00,
   (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00,
   (byte)0x02, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x40, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00,
   (byte)0x02, (byte)0x00, (byte)0x02, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x10,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00,
   (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x02,
   (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x10,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00,
   (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x02,
   (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x1f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x78, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x0c, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x06, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x0c, (byte)0x00,
   (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x00, (byte)0x00, (byte)0x60,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x3f, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00},
    { /* white bishop */
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x07, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x8d,
   (byte)0x0d, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x88, (byte)0x08, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x8d, (byte)0x0d, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x07, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x80, (byte)0x0f, (byte)0x05, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x98,
   (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x60, (byte)0x70, (byte)0x10, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0x40, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0xc0, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x80, (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x0c, (byte)0x80, (byte)0x21, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x06, (byte)0x80,
   (byte)0x23, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x22, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x03, (byte)0x07, (byte)0x66, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x05, (byte)0x44, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x80, (byte)0x01, (byte)0x05, (byte)0x4c, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80,
   (byte)0xe0, (byte)0x3d, (byte)0x48, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x20, (byte)0x20,
   (byte)0x58, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0xe0, (byte)0x3d, (byte)0x50, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x60, (byte)0x00, (byte)0x05, (byte)0x70, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x05, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x05, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20,
   (byte)0x00, (byte)0x05, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0x00, (byte)0x05,
   (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x05, (byte)0x40, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x07, (byte)0xc0, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x08,
   (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x00,
   (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30,
   (byte)0x00, (byte)0x00, (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x00,
   (byte)0x20, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80,
   (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x01, (byte)0x00,
   (byte)0x0c, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xff, (byte)0x07, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xff, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x02, (byte)0x02, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x06, (byte)0x07,
   (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x8e, (byte)0x8d, (byte)0x03, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x8e, (byte)0x8d, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x06, (byte)0x07, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x02, (byte)0x06, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xff, (byte)0xff, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00,
   (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x04, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x0c, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x80, (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x08,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x18, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x60, (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x18, (byte)0xc7, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0x1f,
   (byte)0x0c, (byte)0x85, (byte)0xc1, (byte)0xff, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x0e, (byte)0xf0, (byte)0x87, (byte)0x0d,
   (byte)0x7f, (byte)0x00, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x03, (byte)0x00, (byte)0xc0, (byte)0x08, (byte)0x00, (byte)0x00,
   (byte)0x3c, (byte)0x00, (byte)0x00, (byte)0x70, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x18, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x00,
   (byte)0x00, (byte)0xc0, (byte)0xf8, (byte)0x1f, (byte)0x38, (byte)0x70, (byte)0xc0, (byte)0xff, (byte)0x31, (byte)0x00, (byte)0x00, (byte)0x80,
   (byte)0x0f, (byte)0xf0, (byte)0x0f, (byte)0xc0, (byte)0x7f, (byte)0x00, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00},
    {/* white knight */
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x0c, (byte)0x05, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x0d, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x38, (byte)0x09, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30,
   (byte)0x09, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xf9, (byte)0x01,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0x00, (byte)0x0f, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0xf8, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x20, (byte)0x00, (byte)0xe0, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20,
   (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x38, (byte)0x00, (byte)0x80,
   (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0x01, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xf0, (byte)0x01, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x30, (byte)0x58, (byte)0x07, (byte)0x00, (byte)0xc0, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x4c,
   (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x0e, (byte)0x78, (byte)0x07, (byte)0x00,
   (byte)0x00, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x23, (byte)0xe0, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x04,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x11, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x7c, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0xc0, (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x60,
   (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0xf0, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0x02, (byte)0x00,
   (byte)0x00, (byte)0x60, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x20,
   (byte)0x00, (byte)0xe0, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x8c, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x80,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x44, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x80, (byte)0x07, (byte)0x00,
   (byte)0x00, (byte)0x26, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x13,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x10, (byte)0x00, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x09, (byte)0x40, (byte)0x00,
   (byte)0x00, (byte)0x18, (byte)0x08, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x80, (byte)0x05, (byte)0xc0, (byte)0x00, (byte)0x00, (byte)0x0c,
   (byte)0x0c, (byte)0x00, (byte)0x3e, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0xc0, (byte)0x03, (byte)0x06, (byte)0x00,
   (byte)0x04, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x80, (byte)0x01, (byte)0x70, (byte)0x01, (byte)0xc3, (byte)0x00, (byte)0x7c, (byte)0x00,
   (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x03, (byte)0x1e, (byte)0x81, (byte)0x41, (byte)0x00, (byte)0x04, (byte)0x00, (byte)0x20, (byte)0x00,
   (byte)0x00, (byte)0xce, (byte)0x83, (byte)0x61, (byte)0x60, (byte)0x00, (byte)0xfc, (byte)0x00, (byte)0x30, (byte)0x00, (byte)0x80, (byte)0x7f,
   (byte)0x80, (byte)0x1c, (byte)0x30, (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x10, (byte)0xe0, (byte)0xc1, (byte)0x00, (byte)0x80, (byte)0x07,
   (byte)0x10, (byte)0x00, (byte)0xf8, (byte)0x01, (byte)0x18, (byte)0x30, (byte)0x61, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x08, (byte)0x00,
   (byte)0x10, (byte)0x00, (byte)0x08, (byte)0x98, (byte)0x31, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x0c, (byte)0x00, (byte)0xf0, (byte)0x07,
   (byte)0x08, (byte)0x8c, (byte)0x18, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x03, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x18, (byte)0x86,
   (byte)0x0c, (byte)0x00, (byte)0x60, (byte)0xc0, (byte)0x01, (byte)0x00, (byte)0xe0, (byte)0x07, (byte)0x10, (byte)0xc3, (byte)0x06, (byte)0x00,
   (byte)0x30, (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0xf0, (byte)0x61, (byte)0x02, (byte)0x00, (byte)0x10, (byte)0x1e,
   (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x0f, (byte)0x60, (byte)0x30, (byte)0x02, (byte)0x00, (byte)0x98, (byte)0x03, (byte)0x00, (byte)0x00,
   (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x02, (byte)0x00, (byte)0x0c, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x0f,
   (byte)0x00, (byte)0xb0, (byte)0x03, (byte)0x00, (byte)0x06, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0xc0,
   (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x01, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x1f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x0c, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x3f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x06, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x3f,
   (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00,
   (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x3f,
   (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00,
   (byte)0x0c, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x04, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x06, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x3f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00},
    { /* white pawn */
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x80, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x70,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0xc0, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x08, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x00,
   (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x80, (byte)0x01, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0xc0, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x70, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xc0, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff,
   (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x0c, (byte)0x00, (byte)0x03, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x06, (byte)0x00, (byte)0x0e, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x03, (byte)0x00, (byte)0x38, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0xe0, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x00,
   (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x01, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x00, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x08, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x0c, (byte)0x00,
   (byte)0x06, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x04, (byte)0x00, (byte)0x04, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x04, (byte)0x00, (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x06, (byte)0x00, (byte)0x0c, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x03, (byte)0x00, (byte)0x18, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x01, (byte)0x00,
   (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x00, (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x60, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20,
   (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0x00, (byte)0x00,
   (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x03, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x08,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0x00, (byte)0x00,
   (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x60, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0,
   (byte)0x00, (byte)0x00, (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0x00,
   (byte)0x20, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x30, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x03, (byte)0x00, (byte)0x18, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x06, (byte)0x00, (byte)0x0c, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x04, (byte)0x00, (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x0c, (byte)0x00,
   (byte)0x06, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x1f, (byte)0x00, (byte)0xff, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x7c, (byte)0x78, (byte)0xc0, (byte)0x81, (byte)0x07, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x07, (byte)0xc0, (byte)0x7f, (byte)0x00, (byte)0x1c, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x0c, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x06, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x06, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x0c, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x18, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x1f, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00}
  },
					{ /* Black Pieces */
					  {/* Black King */
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x80, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x03,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x0f, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xe0, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0x1f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0x1f, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0x1f, (byte)0x00, (byte)0x30, (byte)0x18, (byte)0x00, (byte)0xfc, (byte)0x1f, (byte)0x00,
   (byte)0x00, (byte)0xfe, (byte)0x7f, (byte)0x00, (byte)0xb8, (byte)0x3b, (byte)0x00, (byte)0xff, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0xff,
   (byte)0xff, (byte)0x00, (byte)0xb8, (byte)0x3b, (byte)0x80, (byte)0xff, (byte)0xff, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff, (byte)0x03,
   (byte)0xb8, (byte)0x3b, (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0x01, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0x0f, (byte)0xb8, (byte)0x3b,
   (byte)0xf0, (byte)0xff, (byte)0xff, (byte)0x03, (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0x1f, (byte)0xb8, (byte)0x3b, (byte)0xf8, (byte)0xff,
   (byte)0xf8, (byte)0x07, (byte)0xe0, (byte)0x1f, (byte)0xc0, (byte)0x3f, (byte)0xb8, (byte)0x3b, (byte)0xfc, (byte)0x07, (byte)0xe2, (byte)0x07,
   (byte)0xf0, (byte)0xcf, (byte)0x9f, (byte)0x7f, (byte)0x30, (byte)0x18, (byte)0xfe, (byte)0xf3, (byte)0xcf, (byte)0x0f, (byte)0xf0, (byte)0xe7,
   (byte)0x3f, (byte)0xfe, (byte)0xf0, (byte)0x1f, (byte)0x7e, (byte)0xfc, (byte)0xdf, (byte)0x0f, (byte)0xf0, (byte)0xf3, (byte)0xff, (byte)0xfc,
   (byte)0xf1, (byte)0x1f, (byte)0x3f, (byte)0xff, (byte)0x9f, (byte)0x0f, (byte)0xf8, (byte)0xfb, (byte)0xff, (byte)0xfd, (byte)0xf3, (byte)0x9f,
   (byte)0xbf, (byte)0xff, (byte)0xbf, (byte)0x1f, (byte)0xf8, (byte)0xf9, (byte)0xff, (byte)0xf9, (byte)0xe3, (byte)0x8f, (byte)0xdf, (byte)0xff,
   (byte)0x3f, (byte)0x1f, (byte)0xf8, (byte)0xfd, (byte)0xff, (byte)0xf3, (byte)0xef, (byte)0xcf, (byte)0xcf, (byte)0xff, (byte)0x7f, (byte)0x1f,
   (byte)0xf8, (byte)0xfd, (byte)0xff, (byte)0xe7, (byte)0xef, (byte)0xef, (byte)0xef, (byte)0xff, (byte)0x7f, (byte)0x1f, (byte)0xfc, (byte)0xfd,
   (byte)0xff, (byte)0xcf, (byte)0xff, (byte)0xff, (byte)0xe7, (byte)0x3f, (byte)0x7c, (byte)0x3f, (byte)0xfc, (byte)0x3c, (byte)0xfc, (byte)0xdf,
   (byte)0xff, (byte)0xfe, (byte)0xf3, (byte)0x3d, (byte)0x7c, (byte)0x3f, (byte)0xfc, (byte)0x3e, (byte)0xfc, (byte)0x9e, (byte)0x7f, (byte)0xfc,
   (byte)0xf9, (byte)0x39, (byte)0x7c, (byte)0x3f, (byte)0xfc, (byte)0x3e, (byte)0x7c, (byte)0xbe, (byte)0x3f, (byte)0xf8, (byte)0xf9, (byte)0x3b,
   (byte)0x7c, (byte)0x3f, (byte)0xfc, (byte)0x3e, (byte)0x78, (byte)0x3f, (byte)0x7f, (byte)0xfc, (byte)0xfc, (byte)0x3b, (byte)0x7f, (byte)0x3f,
   (byte)0xfc, (byte)0xfe, (byte)0x7b, (byte)0x7f, (byte)0xff, (byte)0xfe, (byte)0xfe, (byte)0x9b, (byte)0x7f, (byte)0x3f, (byte)0xf8, (byte)0xfe,
   (byte)0xbb, (byte)0x7f, (byte)0xfe, (byte)0x7f, (byte)0xfe, (byte)0xdb, (byte)0x79, (byte)0x1f, (byte)0xf8, (byte)0xfe, (byte)0xb3, (byte)0xff,
   (byte)0xfe, (byte)0x7f, (byte)0xff, (byte)0xcb, (byte)0x7c, (byte)0x1f, (byte)0xf8, (byte)0x9e, (byte)0xb7, (byte)0xff, (byte)0xfe, (byte)0x7f,
   (byte)0xff, (byte)0x2b, (byte)0x3e, (byte)0x1f, (byte)0xf8, (byte)0x3e, (byte)0xa6, (byte)0xff, (byte)0xfc, (byte)0x7f, (byte)0xff, (byte)0xa3,
   (byte)0xbf, (byte)0x1f, (byte)0xf8, (byte)0xfe, (byte)0xa8, (byte)0xff, (byte)0xfd, (byte)0x3e, (byte)0xff, (byte)0xd3, (byte)0xbf, (byte)0x1f,
   (byte)0xf8, (byte)0xfd, (byte)0x83, (byte)0xff, (byte)0x7d, (byte)0xbc, (byte)0xff, (byte)0xc3, (byte)0xbf, (byte)0x1f, (byte)0xf0, (byte)0xfd,
   (byte)0x8f, (byte)0xff, (byte)0x39, (byte)0xb8, (byte)0xff, (byte)0xe3, (byte)0xbf, (byte)0x1f, (byte)0xf0, (byte)0xfd, (byte)0x9f, (byte)0xff,
   (byte)0x7b, (byte)0xbc, (byte)0xff, (byte)0xf1, (byte)0x9f, (byte)0x0f, (byte)0xf0, (byte)0xf9, (byte)0xbf, (byte)0xff, (byte)0xfb, (byte)0xbe,
   (byte)0xff, (byte)0xfd, (byte)0xdf, (byte)0x0f, (byte)0xf0, (byte)0xfb, (byte)0x3f, (byte)0xff, (byte)0xf3, (byte)0x9f, (byte)0xff, (byte)0xfd,
   (byte)0xdf, (byte)0x0f, (byte)0xf0, (byte)0xf3, (byte)0x7f, (byte)0xff, (byte)0xf7, (byte)0xdf, (byte)0xff, (byte)0xfc, (byte)0xdf, (byte)0x0f,
   (byte)0xe0, (byte)0xf7, (byte)0x7f, (byte)0xfe, (byte)0xf7, (byte)0xdf, (byte)0xff, (byte)0xfe, (byte)0xdf, (byte)0x07, (byte)0xe0, (byte)0xf7,
   (byte)0xff, (byte)0xfe, (byte)0xf7, (byte)0xdf, (byte)0x7f, (byte)0xfe, (byte)0xcf, (byte)0x07, (byte)0xe0, (byte)0xe7, (byte)0xff, (byte)0xfe,
   (byte)0xf7, (byte)0xdf, (byte)0x7f, (byte)0xff, (byte)0xef, (byte)0x07, (byte)0xc0, (byte)0xef, (byte)0xff, (byte)0xfc, (byte)0xef, (byte)0xee,
   (byte)0x7f, (byte)0xff, (byte)0xe7, (byte)0x03, (byte)0xc0, (byte)0xcf, (byte)0xff, (byte)0xfd, (byte)0x6f, (byte)0xec, (byte)0x3f, (byte)0xff,
   (byte)0xf7, (byte)0x03, (byte)0x80, (byte)0xdf, (byte)0xff, (byte)0xf9, (byte)0xef, (byte)0xee, (byte)0xbf, (byte)0xff, (byte)0xf3, (byte)0x01,
   (byte)0x80, (byte)0x9f, (byte)0xff, (byte)0xfb, (byte)0xef, (byte)0xef, (byte)0x9f, (byte)0xff, (byte)0xfb, (byte)0x01, (byte)0x00, (byte)0xbf,
   (byte)0xff, (byte)0xfb, (byte)0xef, (byte)0xef, (byte)0xdf, (byte)0xff, (byte)0xf9, (byte)0x00, (byte)0x00, (byte)0x7e, (byte)0xff, (byte)0xf3,
   (byte)0xef, (byte)0xef, (byte)0xdf, (byte)0xff, (byte)0x7e, (byte)0x00, (byte)0x00, (byte)0x7e, (byte)0xfe, (byte)0xff, (byte)0xef, (byte)0xef,
   (byte)0xff, (byte)0x7f, (byte)0x7e, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xfc, (byte)0xff, (byte)0xef, (byte)0xef, (byte)0xff, (byte)0x7f,
   (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xf9, (byte)0xff, (byte)0xef, (byte)0xef, (byte)0xff, (byte)0x3f, (byte)0x1f, (byte)0x00,
   (byte)0x00, (byte)0xf8, (byte)0xfb, (byte)0x03, (byte)0xe0, (byte)0x0f, (byte)0x00, (byte)0x9f, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0xf0,
   (byte)0x03, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0xc0, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xbf,
   (byte)0xf7, (byte)0xde, (byte)0xfb, (byte)0xff, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0x1d, (byte)0x63, (byte)0x8c,
   (byte)0x71, (byte)0xff, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xef, (byte)0xb8, (byte)0xf7, (byte)0xde, (byte)0x3b, (byte)0xee,
   (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc7, (byte)0xfd, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0xc7, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xee, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0x6f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xfe, (byte)0x03, (byte)0xfe, (byte)0xff, (byte)0x01, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x06, (byte)0xf8,
   (byte)0x7f, (byte)0xfc, (byte)0x7f, (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0x1f, (byte)0xf0,
   (byte)0xff, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc6, (byte)0xff, (byte)0x07, (byte)0xc0, (byte)0xff, (byte)0x63,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x06, (byte)0xff, (byte)0x1f, (byte)0xf0, (byte)0xff, (byte)0x60, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x06, (byte)0xfc, (byte)0x7f, (byte)0xfc, (byte)0x3f, (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x06, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc6, (byte)0xff,
   (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0x63, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0x03, (byte)0xfe, (byte)0xff,
   (byte)0x01, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x06, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x60,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00}
					  ,{ /* Black queen */
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x01,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x03, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x00, (byte)0x80, (byte)0x01,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0x01, (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x07,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0x01, (byte)0x80, (byte)0x01, (byte)0x80, (byte)0x0f, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0x01, (byte)0xc0, (byte)0x03, (byte)0x80, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xe0, (byte)0x00, (byte)0xc0, (byte)0x03, (byte)0x80, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00,
   (byte)0xc0, (byte)0x03, (byte)0x00, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0xc0, (byte)0x03,
   (byte)0x00, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0xc0, (byte)0x03, (byte)0x00, (byte)0x03,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0xc0, (byte)0x03, (byte)0x00, (byte)0x03, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x01, (byte)0xc0, (byte)0x03, (byte)0x80, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xc0, (byte)0x01, (byte)0xc0, (byte)0x03, (byte)0x80, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x01,
   (byte)0xe0, (byte)0x07, (byte)0x80, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x03, (byte)0xe0, (byte)0x07,
   (byte)0xc0, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x1c, (byte)0x00, (byte)0xc0, (byte)0x03, (byte)0xe0, (byte)0x07, (byte)0xc0, (byte)0x03,
   (byte)0x00, (byte)0x00, (byte)0x3e, (byte)0x00, (byte)0xc0, (byte)0x03, (byte)0xe0, (byte)0x07, (byte)0xc0, (byte)0x03, (byte)0x00, (byte)0x0e,
   (byte)0x3e, (byte)0x00, (byte)0xc0, (byte)0x07, (byte)0xe0, (byte)0x07, (byte)0xe0, (byte)0x03, (byte)0x00, (byte)0x1f, (byte)0x3e, (byte)0x00,
   (byte)0xc0, (byte)0x07, (byte)0xe0, (byte)0x07, (byte)0xe0, (byte)0x03, (byte)0x00, (byte)0x1f, (byte)0x3c, (byte)0x00, (byte)0xc0, (byte)0x07,
   (byte)0xe0, (byte)0x07, (byte)0xe0, (byte)0x03, (byte)0x00, (byte)0x1f, (byte)0x70, (byte)0x00, (byte)0xc0, (byte)0x0f, (byte)0xe0, (byte)0x07,
   (byte)0xf0, (byte)0x03, (byte)0x00, (byte)0x0e, (byte)0x60, (byte)0x00, (byte)0xc0, (byte)0x0f, (byte)0xe0, (byte)0x07, (byte)0xf0, (byte)0x03,
   (byte)0x00, (byte)0x03, (byte)0xe0, (byte)0x00, (byte)0xc0, (byte)0x0f, (byte)0xf0, (byte)0x0f, (byte)0xf0, (byte)0x03, (byte)0x80, (byte)0x03,
   (byte)0xc0, (byte)0x01, (byte)0xc0, (byte)0x1f, (byte)0xf0, (byte)0x0f, (byte)0xf8, (byte)0x03, (byte)0x80, (byte)0x01, (byte)0xc0, (byte)0x01,
   (byte)0xc0, (byte)0x1f, (byte)0xf0, (byte)0x0f, (byte)0xf8, (byte)0x03, (byte)0xc0, (byte)0x01, (byte)0xc0, (byte)0x03, (byte)0xc0, (byte)0x1f,
   (byte)0xf0, (byte)0x0f, (byte)0xf8, (byte)0x03, (byte)0xe0, (byte)0x01, (byte)0xc0, (byte)0x07, (byte)0xc0, (byte)0x1f, (byte)0xf0, (byte)0x0f,
   (byte)0xf8, (byte)0x03, (byte)0xe0, (byte)0x01, (byte)0xc0, (byte)0x07, (byte)0xc0, (byte)0x3f, (byte)0xf0, (byte)0x0f, (byte)0xfc, (byte)0x03,
   (byte)0xf0, (byte)0x01, (byte)0xc0, (byte)0x0f, (byte)0xc0, (byte)0x3f, (byte)0xf0, (byte)0x0f, (byte)0xfc, (byte)0x03, (byte)0xf8, (byte)0x01,
   (byte)0x80, (byte)0x1f, (byte)0xc0, (byte)0x3f, (byte)0xf0, (byte)0x0f, (byte)0xfc, (byte)0x03, (byte)0xf8, (byte)0x01, (byte)0x80, (byte)0x1f,
   (byte)0xc0, (byte)0x7f, (byte)0xf0, (byte)0x0f, (byte)0xfe, (byte)0x03, (byte)0xfc, (byte)0x01, (byte)0x80, (byte)0x3f, (byte)0xc0, (byte)0x7f,
   (byte)0xf8, (byte)0x1f, (byte)0xfe, (byte)0x03, (byte)0xfc, (byte)0x00, (byte)0x80, (byte)0x3f, (byte)0xc0, (byte)0x7f, (byte)0xf8, (byte)0x1f,
   (byte)0xfe, (byte)0x03, (byte)0xfe, (byte)0x00, (byte)0x80, (byte)0x7f, (byte)0xc0, (byte)0xff, (byte)0xf8, (byte)0x1f, (byte)0xff, (byte)0x03,
   (byte)0xff, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xc0, (byte)0xff, (byte)0xf8, (byte)0x1f, (byte)0xff, (byte)0x03, (byte)0xff, (byte)0x00,
   (byte)0x00, (byte)0xff, (byte)0xc0, (byte)0xff, (byte)0xf8, (byte)0x1f, (byte)0xff, (byte)0x83, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0xff,
   (byte)0xc1, (byte)0xff, (byte)0xf9, (byte)0x9f, (byte)0xff, (byte)0x83, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xc3, (byte)0xff,
   (byte)0xf9, (byte)0x9f, (byte)0xff, (byte)0xc3, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xc3, (byte)0xff, (byte)0xf9, (byte)0x9f,
   (byte)0xff, (byte)0xe3, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xc7, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xe3,
   (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xcf, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x7f, (byte)0x00,
   (byte)0x00, (byte)0xfe, (byte)0xcf, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xfb, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0xfe,
   (byte)0xdf, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xfb, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x3f, (byte)0x00,
   (byte)0x00, (byte)0xfc, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0xfc,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff, (byte)0xff, (byte)0x01, (byte)0x80,
   (byte)0xff, (byte)0xff, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0x03, (byte)0xfc, (byte)0x3f, (byte)0xc0, (byte)0xff,
   (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0x01, (byte)0xf8, (byte)0x7f, (byte)0xfe, (byte)0x1f, (byte)0x80, (byte)0x1f, (byte)0x00,
   (byte)0x00, (byte)0x30, (byte)0xfc, (byte)0xff, (byte)0x1f, (byte)0xf8, (byte)0xff, (byte)0x3f, (byte)0x0c, (byte)0x00, (byte)0x00, (byte)0xe0,
   (byte)0xe7, (byte)0xff, (byte)0x07, (byte)0xe0, (byte)0xff, (byte)0xe7, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x81, (byte)0xff,
   (byte)0x1f, (byte)0xf8, (byte)0xff, (byte)0x81, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x00, (byte)0xfe, (byte)0x7f, (byte)0xfe,
   (byte)0x7f, (byte)0x00, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x81, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x81,
   (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe7, (byte)0xff, (byte)0x01, (byte)0x80, (byte)0xff, (byte)0xe7, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xff, (byte)0x03, (byte)0xfc, (byte)0x3f, (byte)0xc0, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80,
   (byte)0x01, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0x1f, (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xfc, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x3f, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0x03, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x03, (byte)0x00,
   (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0xe0,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00}
					  ,{/*black rook */
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xf8, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x01, (byte)0xf8, (byte)0xff, (byte)0x00, (byte)0x3c,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0x01, (byte)0xf8, (byte)0xff, (byte)0x00, (byte)0xfc, (byte)0x0f, (byte)0x00,
   (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0x01, (byte)0xf8, (byte)0xff, (byte)0x00, (byte)0xfc, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0xc0,
   (byte)0xff, (byte)0x01, (byte)0xf8, (byte)0xff, (byte)0x00, (byte)0xfc, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0x01,
   (byte)0xf8, (byte)0xff, (byte)0x00, (byte)0xfc, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0x01, (byte)0xff, (byte)0xff,
   (byte)0x07, (byte)0xfc, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0x01, (byte)0x00, (byte)0xfc, (byte)0xfd,
   (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0x07, (byte)0xfc, (byte)0xff, (byte)0x01, (byte)0xff, (byte)0x1f, (byte)0x00,
   (byte)0x00, (byte)0xc0, (byte)0x1f, (byte)0xf0, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0xc0, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x40,
   (byte)0xc0, (byte)0xff, (byte)0x07, (byte)0x00, (byte)0xff, (byte)0x1f, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0x1f,
   (byte)0xf0, (byte)0x7f, (byte)0xc0, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x7f, (byte)0xc0, (byte)0xfd, (byte)0xff,
   (byte)0x1d, (byte)0xf0, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff,
   (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff,
   (byte)0xfd, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xc0, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00,
   (byte)0xff, (byte)0xfe, (byte)0x07, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfe,
   (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfe, (byte)0xff, (byte)0x1f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfe, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfe, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfe, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff,
   (byte)0xff, (byte)0xfe, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfe,
   (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfe, (byte)0xff, (byte)0x1f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfe, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfe, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfe, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff,
   (byte)0x0f, (byte)0x80, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0xe0, (byte)0x3f,
   (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff,
   (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff,
   (byte)0xfd, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xc0, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff,
   (byte)0xfd, (byte)0xff, (byte)0xfd, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0x1f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff,
   (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfd,
   (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0x1f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff,
   (byte)0xff, (byte)0xfd, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xfd,
   (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x40, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x10,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x0c, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x06, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x0c, (byte)0x00,
   (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x00, (byte)0x00, (byte)0x60,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x20, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x3f, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00}
					  ,{/*black bishop*/
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x07, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x8f,
   (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x8f, (byte)0x0f, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x8f, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x07, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x80, (byte)0x0f, (byte)0x05, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x9f,
   (byte)0x08, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x7f, (byte)0x10, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0x7f, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0x10, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xfc, (byte)0xff, (byte)0x21, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff,
   (byte)0x23, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0x23, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xf8, (byte)0x67, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xf8, (byte)0x47, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xf8, (byte)0x4f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80,
   (byte)0x1f, (byte)0xc0, (byte)0x4f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x1f, (byte)0xc0,
   (byte)0x5f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x1f, (byte)0xc0, (byte)0x5f, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xf8, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xf8, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xf8, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0,
   (byte)0xff, (byte)0xf8, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xf8,
   (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xf8, (byte)0x7f, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xf8, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0,
   (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff,
   (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0x3f, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80,
   (byte)0xff, (byte)0xff, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff,
   (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xff, (byte)0x07, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xff, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xfe, (byte)0xfd, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfa, (byte)0xf8,
   (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x72, (byte)0x70, (byte)0x02, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x72, (byte)0x70, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfa, (byte)0xf8, (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xfd, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xff, (byte)0xff, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00,
   (byte)0x04, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x01, (byte)0x00, (byte)0x04, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x80, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0x0f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x1f, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0x1f,
   (byte)0xfc, (byte)0xfd, (byte)0xc1, (byte)0xff, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0xff, (byte)0xfd,
   (byte)0xff, (byte)0xff, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf8, (byte)0xff, (byte)0xff,
   (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x00,
   (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0x3f, (byte)0xf0, (byte)0xff, (byte)0xff, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x80,
   (byte)0x0f, (byte)0xf0, (byte)0x0f, (byte)0xc0, (byte)0x7f, (byte)0x00, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30, (byte)0x00, (byte)0x00, (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x60, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00}
					  ,{ /* black knight */
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x02, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x02, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x0c, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x18, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x38, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x30,
   (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0x1f, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0,
   (byte)0xff, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xbf, (byte)0xff,
   (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0x7f, (byte)0xfe, (byte)0x0f, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff, (byte)0xf8, (byte)0xff, (byte)0x01, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x0f, (byte)0xfc, (byte)0xe3, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xf0, (byte)0xe1, (byte)0xf3, (byte)0xcf, (byte)0xff, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xfd,
   (byte)0xff, (byte)0x1f, (byte)0xff, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0x3f, (byte)0xfe, (byte)0x7f,
   (byte)0xfe, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0x1f, (byte)0xfe, (byte)0xff, (byte)0xfc, (byte)0x07,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf1, (byte)0x7f, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xe7, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xcf, (byte)0xff, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0x9f, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0x3f, (byte)0xff, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0xfe,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xfe, (byte)0xfc, (byte)0x07, (byte)0x00,
   (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0xfe, (byte)0xfd, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x3f, (byte)0xff, (byte)0xfb, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0xbf, (byte)0xff, (byte)0xf3, (byte)0x03, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x9f,
   (byte)0xff, (byte)0xf7, (byte)0x3f, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xcf, (byte)0xff, (byte)0xef,
   (byte)0x07, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0xf3, (byte)0xff, (byte)0xcf, (byte)0x7f, (byte)0x00,
   (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x1f, (byte)0xfd, (byte)0xff, (byte)0xdf, (byte)0x07, (byte)0x00, (byte)0xe0, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0x83, (byte)0xff, (byte)0xf3, (byte)0x9f, (byte)0xff, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xff, (byte)0x7f,
   (byte)0x80, (byte)0xff, (byte)0xf9, (byte)0xbf, (byte)0x0f, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xff, (byte)0x00, (byte)0x80, (byte)0x7f,
   (byte)0xfc, (byte)0x7f, (byte)0xff, (byte)0x01, (byte)0xf8, (byte)0x3f, (byte)0x7f, (byte)0x00, (byte)0x80, (byte)0x81, (byte)0xff, (byte)0x7f,
   (byte)0x1e, (byte)0x00, (byte)0x18, (byte)0x9f, (byte)0x3f, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0xfe, (byte)0x07,
   (byte)0x98, (byte)0x8f, (byte)0x1f, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xcf, (byte)0x7f, (byte)0x3e, (byte)0x00, (byte)0xf8, (byte)0x87,
   (byte)0x0f, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xe3, (byte)0xff, (byte)0xfe, (byte)0x07, (byte)0xf0, (byte)0xc3, (byte)0x07, (byte)0x00,
   (byte)0xf0, (byte)0x1f, (byte)0xfc, (byte)0xff, (byte)0x3c, (byte)0x00, (byte)0xf0, (byte)0xe1, (byte)0x03, (byte)0x00, (byte)0xf0, (byte)0xc0,
   (byte)0xff, (byte)0xff, (byte)0xfc, (byte)0x0f, (byte)0x60, (byte)0xe0, (byte)0x01, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0x7c, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xfc, (byte)0x0f,
   (byte)0x00, (byte)0x70, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x7c, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf9, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf9, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0xf9, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0xf9, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf9, (byte)0x1f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf1, (byte)0x01, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf1, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0xf3, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x3f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x01, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0xf3, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x3f,
   (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x01, (byte)0x00, (byte)0x00,
   (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0xf3, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x3f,
   (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x01, (byte)0x00, (byte)0x00,
   (byte)0xfc, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0xf3, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xf3, (byte)0x3f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00}
					  ,{/*black pawn*/
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x80, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x7f,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xf8, (byte)0xff, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff,
   (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0x01, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xc0, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff,
   (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff, (byte)0x03, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff,
   (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0x01, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xf8, (byte)0xff, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff,
   (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff, (byte)0x07, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xff, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff,
   (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff, (byte)0x3f, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x01,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x03, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x03,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x03, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0xc0, (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xc0,
   (byte)0xff, (byte)0xff, (byte)0x7f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff,
   (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x80, (byte)0xff, (byte)0xff, (byte)0x3f, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xfc, (byte)0xff, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff,
   (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x07, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x80, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x3f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xe0, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf0, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0x01, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xf8, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0x03, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x07, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0xfc, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x07, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0xfe, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xfe, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0xff, (byte)0xff, (byte)0x0f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff,
   (byte)0x1f, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, (byte)0x1f, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00,
   (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00, (byte)0x00}}};

  /** This is not ment to be instantiated.
    */
  private PieceImageMemData() { }
}







